轮廓信息的一些示例,如果认真使用,对齐应该与上面类似。网
- (defun ah:vercheck ()
- (vl-load-com)
- (if ((lambda (vrsn)
- (cond
- ((vl-string-search "R17.2" vrsn) (setq appstr "6.0")) ;09
- ((vl-string-search "R18.0" vrsn) (setq appstr "7.0")) ;10
- ((vl-string-search "R18.1" vrsn) (setq appstr "8.0")) ;11
- ((vl-string-search "R18.2" vrsn) (setq appstr "9.0")) ;12
- ((alert "This version of C3D not supported!"))
- )
- )
- (vlax-product-key)
- ) ; end if condition progn is true
- (progn
- (cond (*AeccDoc*)
- ((setq *AeccDoc*
- (vlax-get
- (cond (*AeccApp*)
- ((setq *AeccApp*
- (vla-getinterfaceobject
- (cond (*Acad*)
- ((setq *Acad* (vlax-get-acad-object)))
- )
- (strcat "AeccXUiLand.AeccApplication." appstr)
- )
- )
- )
- )
- 'ActiveDocument
- )
- )
- )
- ) ; end main cond
- ) ; end progn
- ) ; end if vsrn
- )
- (vlax-for j (vlax-get *AeccDoc* 'SurfaceS)
- (setq lst (cons (cons (vla-get-name j) j) lst))
- (vlax-for k (vlax-get *AeccDoc* 'SurfaceS)
- (if (= Surfacepick (vla-get-name k)) ;match surface
- (vlax-put k 'Style (cdr (assoc surface lst)))
- ) ; end if
- ) ; end vlax-for
- )
|